

<!DOCTYPE html>
<html class="writer-html5" lang="ru" >
<head>
  <meta charset="utf-8" />
  
<!-- Yandex.Metrika counter -->
<script async="" src="https://mc.yandex.ru/metrika/tag.js"></script>
<script type="text/javascript">
	(function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
	m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
	(window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");
 
	ym(88079149, "init", {
		 clickmap:true,
		 trackLinks:true,
		 accurateTrackBounce:true,
		 webvisor:true
	});
 </script>
 <noscript><div><img src="https://mc.yandex.ru/watch/88079149" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
 <!-- /Yandex.Metrika counter -->



  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>pyOpenRPA.Robot.Mouse &mdash; документация pyOpenRPA v1.3.1 v1.3.1</title>
  

  
  <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />

  
  
    <link rel="shortcut icon" href="../../../_static/favicon.ico"/>
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../../" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/doctools.js"></script>
        <script src="../../../_static/translations.js"></script>
    
    <script type="text/javascript" src="../../../_static/js/theme.js"></script>

    
    <link rel="index" title="Алфавитный указатель" href="../../../genindex.html" />
    <link rel="search" title="Поиск" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../../index.html" class="icon icon-home"> pyOpenRPA v1.3.1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Поиск в документации" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">ОБЩЕЕ</span></p>
<ul>
<li class="toctree-l1"><a class="reference external" href="https://pyopenrpa.ru/wiki/guide/index">Выбрать версию</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../01_HowToInstall.html">1. Первый запуск (Windows &amp; Linux)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../03_Copyrights_Contacts.html">2. Лицензия &amp; Контакты</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ РОБОТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/01_Robot.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/02_uidesktop.html">2. Функции UIDesktop</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/03_uiweb.html">3. Функции UIWeb</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/04_keyboard.html">4. Функции Keyboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/05_clipboard.html">5. Функции Clipboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/06_mouse.html">6. Функции Mouse</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/07_screen.html">7. Функции Screen</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/08_audio.html">8. Функции Audio</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Robot/09_HowToUse.html">9. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ СТУДИЯ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../Studio/01_Studio.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Studio/02_HowToUse.html">2. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ ОРКЕСТРАТОР</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../Orchestrator/01_Orchestrator.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Orchestrator/02_Defs.html">2. Функции</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Orchestrator/03_gSettingsTemplate.html">3. Настройки GSettings (шаблон)</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Orchestrator/04_HowToUse.html">4. Как использовать?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../Orchestrator/05_UAC.html">5. Права доступа пользователей UAC</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ АГЕНТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../Agent/02_Defs.html">2. Функции Agent</a></li>
</ul>
<p class="caption"><span class="caption-text">ИНСТРУМЕНТЫ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../Tools/02_Defs.html">2. Функции StopSafe</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">pyOpenRPA v1.3.1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../../index.html" class="icon icon-home"></a> &raquo;</li>
        
          <li><a href="../../index.html">Код модуля</a> &raquo;</li>
        
      <li>pyOpenRPA.Robot.Mouse</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <h1>Исходный код pyOpenRPA.Robot.Mouse</h1><div class="highlight"><pre>
<span></span><span class="kn">from</span> <span class="nn">pyautogui</span> <span class="kn">import</span> <span class="o">*</span>
<span class="kn">import</span> <span class="nn">time</span>

<span class="n">WAIT_AFTER_SEC_FLOAT</span> <span class="o">=</span> <span class="mf">0.4</span> <span class="c1"># Настройка модуля Mouse: Время, которое ожидать после выполнения любой операции модуля Mouse. Настройка является единой для всех участов кода, использующих модуль Mouse. Если для некоторой функции требуется изменить данное время ожидания, то в отношении этой функции можно применить соответсвующий аргумент.</span>

<div class="viewcode-block" id="Click"><a class="viewcode-back" href="../../../Robot/06_mouse.html#pyOpenRPA.Robot.Mouse.Click">[документация]</a><span class="k">def</span> <span class="nf">Click</span><span class="p">(</span><span class="n">inXInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inYInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inClickCountInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span> <span class="n">inIntervalSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="mf">0.0</span><span class="p">,</span> <span class="n">inButtonStr</span><span class="p">:</span><span class="nb">str</span><span class="o">=</span><span class="s1">&#39;left&#39;</span><span class="p">,</span> <span class="n">inMoveDurationSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="mf">0.0</span><span class="p">,</span> <span class="n">inWaitAfterSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="n">WAIT_AFTER_SEC_FLOAT</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;L+,W+: Нажатие (вниз) кнопки мыши и затем немедленно выпуск (вверх) её. Допускается следующая параметризация. Если не указаны inXInt и inYInt - клик производится по месту нахождения указателя мыши.</span>

<span class="sd">    !ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</span>
<span class="sd">    </span>
<span class="sd">    .. code-block:: python</span>

<span class="sd">        # Mouse: Взаимодействие с мышью</span>
<span class="sd">        from pyOpenRPA.Robot import Mouse</span>
<span class="sd">        Mouse.Click(100,150) #Выполнить нажатие левой клавиши мыши на экране по координатам: X(гор) 100px, Y(вер) 150px.</span>

<span class="sd">    :param inXInt: Целевая позиция указателя мыши по оси X (горизонтальная ось). </span>
<span class="sd">    :type inXInt: int, опциональный</span>
<span class="sd">    :param inYInt: Целевая позиция указателя мыши по оси Y (вертикальная ось). </span>
<span class="sd">    :type inYInt: int, опциональный</span>
<span class="sd">    :param inClickCountInt: Количество нажатий (вниз и вверх) кнопкой мыши, По умолчанию 1</span>
<span class="sd">    :type inClickCountInt: int, опциональный</span>
<span class="sd">    :param inIntervalSecFloat: Интервал ожидания в секундах между нажатиями, По умолчанию 0.0</span>
<span class="sd">    :type inIntervalSecFloat: float, опциональный </span>
<span class="sd">    :param inButtonStr: Номер кнопки, которую требуется нажать. Возможные варианты: &#39;left&#39;, &#39;middle&#39;, &#39;right&#39; или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию &#39;left&#39;</span>
<span class="sd">    :type inButtonStr: str, опциональный</span>
<span class="sd">    :param inMoveDurationSecFloat: Время перемещения указателя мыши, По умолчанию 0.0 (моментальное перемещение)</span>
<span class="sd">    :type inMoveDurationSecFloat: float, опциональный</span>
<span class="sd">    :param inWaitAfterSecFloat: Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</span>
<span class="sd">    :type inWaitAfterSecFloat: float, опциональный</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">==</span> <span class="kc">None</span><span class="p">:</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">=</span> <span class="n">WAIT_AFTER_SEC_FLOAT</span>
    <span class="n">click</span><span class="p">(</span><span class="n">x</span><span class="o">=</span><span class="n">inXInt</span><span class="p">,</span> <span class="n">y</span><span class="o">=</span><span class="n">inYInt</span><span class="p">,</span> <span class="n">clicks</span><span class="o">=</span><span class="n">inClickCountInt</span><span class="p">,</span> <span class="n">interval</span><span class="o">=</span><span class="n">inIntervalSecFloat</span><span class="p">,</span> <span class="n">button</span><span class="o">=</span><span class="n">inButtonStr</span><span class="p">,</span> <span class="n">duration</span><span class="o">=</span><span class="n">inMoveDurationSecFloat</span><span class="p">)</span>
    <span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="n">inWaitAfterSecFloat</span><span class="p">)</span></div>

<div class="viewcode-block" id="ClickDouble"><a class="viewcode-back" href="../../../Robot/06_mouse.html#pyOpenRPA.Robot.Mouse.ClickDouble">[документация]</a><span class="k">def</span> <span class="nf">ClickDouble</span><span class="p">(</span><span class="n">inXInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inYInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inWaitAfterSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="n">WAIT_AFTER_SEC_FLOAT</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;L+,W+: Двойное нажатие левой клавиши мыши. Данное действие аналогично вызову функции (см. ниже).</span>
<span class="sd">    </span>
<span class="sd">    !ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</span>

<span class="sd">    .. code-block:: python</span>

<span class="sd">        # Mouse: Взаимодействие с мышью</span>
<span class="sd">        from pyOpenRPA.Robot import Mouse</span>
<span class="sd">        Mouse.ClickDouble(100,150) #Выполнить двойное нажатие левой клавиши мыши на экране по координатам: X(гор) 100px, Y(вер) 150px.</span>

<span class="sd">    :param inXInt: Целевая позиция указателя мыши по оси X (горизонтальная ось). </span>
<span class="sd">    :type inXInt: int, опциональный</span>
<span class="sd">    :param inYInt: Целевая позиция указателя мыши по оси Y (вертикальная ось). </span>
<span class="sd">    :type inYInt: int, опциональный</span>
<span class="sd">    :param inWaitAfterSecFloat: Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</span>
<span class="sd">    :type inWaitAfterSecFloat: float, опциональный</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">==</span> <span class="kc">None</span><span class="p">:</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">=</span> <span class="n">WAIT_AFTER_SEC_FLOAT</span>
    <span class="n">doubleClick</span><span class="p">(</span><span class="n">x</span><span class="o">=</span><span class="n">inXInt</span><span class="p">,</span> <span class="n">y</span><span class="o">=</span><span class="n">inYInt</span><span class="p">)</span>
    <span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="n">inWaitAfterSecFloat</span><span class="p">)</span></div>

<div class="viewcode-block" id="Down"><a class="viewcode-back" href="../../../Robot/06_mouse.html#pyOpenRPA.Robot.Mouse.Down">[документация]</a><span class="k">def</span> <span class="nf">Down</span><span class="p">(</span><span class="n">inXInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inYInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inButtonStr</span><span class="p">:</span><span class="nb">str</span><span class="o">=</span><span class="s1">&#39;left&#39;</span><span class="p">,</span> <span class="n">inWaitAfterSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="n">WAIT_AFTER_SEC_FLOAT</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;L+,W+: Переместить указатель по координатам inXInt, inYInt, после чего нажать (вниз) клавишу мыши и не отпускать до выполнения соответсвующей команды (см. Up). Если координаты inXInt, inYInt не переданы - нажатие происходит на тех координатах X/Y, на которых указатель мыши находится.</span>

<span class="sd">    !ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</span>

<span class="sd">    .. code-block:: python</span>

<span class="sd">        # Mouse: Взаимодействие с мышью</span>
<span class="sd">        from pyOpenRPA.Robot import Mouse</span>
<span class="sd">        Mouse.Down() #Опустить левую клавишу мыши</span>

<span class="sd">    :param inXInt: Целевая позиция указателя мыши по оси X (горизонтальная ось). </span>
<span class="sd">    :type inXInt: int, опциональный</span>
<span class="sd">    :param inYInt: Целевая позиция указателя мыши по оси Y (вертикальная ось). </span>
<span class="sd">    :type inYInt: int, опциональный</span>
<span class="sd">    :param inButtonStr: Номер кнопки, которую требуется нажать. Возможные варианты: &#39;left&#39;, &#39;middle&#39;, &#39;right&#39; или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию &#39;left&#39;</span>
<span class="sd">    :type inButtonStr: str, опциональный</span>
<span class="sd">    :param inWaitAfterSecFloat: Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</span>
<span class="sd">    :type inWaitAfterSecFloat: float, опциональный</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">==</span> <span class="kc">None</span><span class="p">:</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">=</span> <span class="n">WAIT_AFTER_SEC_FLOAT</span>
    <span class="n">mouseDown</span><span class="p">(</span><span class="n">x</span><span class="o">=</span><span class="n">inXInt</span><span class="p">,</span> <span class="n">y</span><span class="o">=</span><span class="n">inYInt</span><span class="p">,</span> <span class="n">button</span> <span class="o">=</span> <span class="n">inButtonStr</span><span class="p">)</span>
    <span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="n">inWaitAfterSecFloat</span><span class="p">)</span></div>

<div class="viewcode-block" id="Up"><a class="viewcode-back" href="../../../Robot/06_mouse.html#pyOpenRPA.Robot.Mouse.Up">[документация]</a><span class="k">def</span> <span class="nf">Up</span><span class="p">(</span><span class="n">inXInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inYInt</span><span class="p">:</span><span class="nb">int</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inButtonStr</span><span class="p">:</span><span class="nb">str</span><span class="o">=</span><span class="s1">&#39;left&#39;</span><span class="p">,</span> <span class="n">inWaitAfterSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="n">WAIT_AFTER_SEC_FLOAT</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;L+,W+: Отпустить (вверх) клавишу мыши. Если координаты inXInt, inYInt не переданы - нажатие происходит на тех координатах X/Y, на которых указатель мыши находится.</span>

<span class="sd">    !ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области.</span>

<span class="sd">    .. code-block:: python</span>

<span class="sd">        # Mouse: Взаимодействие с мышью</span>
<span class="sd">        from pyOpenRPA.Robot import Mouse</span>
<span class="sd">        Mouse.Up(inButtonStr:str=&#39;right&#39;) #Поднять правую клавишу мыши</span>

<span class="sd">    :param inXInt: Целевая позиция указателя мыши по оси X (горизонтальная ось). </span>
<span class="sd">    :type inXInt: int, опциональный</span>
<span class="sd">    :param inYInt: Целевая позиция указателя мыши по оси Y (вертикальная ось). </span>
<span class="sd">    :type inYInt: int, опциональный</span>
<span class="sd">    :param inButtonStr: Номер кнопки, которую требуется поднять. Возможные варианты: &#39;left&#39;, &#39;middle&#39;, &#39;right&#39; или 1, 2, 3. В остальных случаях инициирует исключение ValueError. По умолчанию &#39;left&#39;</span>
<span class="sd">    :type inButtonStr: str, опциональный</span>
<span class="sd">    :param inWaitAfterSecFloat: Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</span>
<span class="sd">    :type inWaitAfterSecFloat: float, опциональный</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">==</span> <span class="kc">None</span><span class="p">:</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">=</span> <span class="n">WAIT_AFTER_SEC_FLOAT</span>
    <span class="n">mouseUp</span><span class="p">(</span><span class="n">x</span><span class="o">=</span><span class="n">inXInt</span><span class="p">,</span> <span class="n">y</span><span class="o">=</span><span class="n">inYInt</span><span class="p">,</span> <span class="n">button</span> <span class="o">=</span> <span class="n">inButtonStr</span><span class="p">)</span>
    <span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="n">inWaitAfterSecFloat</span><span class="p">)</span></div>

<div class="viewcode-block" id="MoveTo"><a class="viewcode-back" href="../../../Robot/06_mouse.html#pyOpenRPA.Robot.Mouse.MoveTo">[документация]</a><span class="k">def</span> <span class="nf">MoveTo</span><span class="p">(</span><span class="n">inXInt</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inMoveDurationSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="mf">0.0</span><span class="p">,</span> <span class="n">inWaitAfterSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="n">WAIT_AFTER_SEC_FLOAT</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;L+,W+: Переместить указатель мыши на позицию inXInt, inYInt за время inMoveDurationSecFloat.</span>

<span class="sd">    !ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</span>

<span class="sd">    .. code-block:: python</span>

<span class="sd">        # Mouse: Взаимодействие с мышью</span>
<span class="sd">        from pyOpenRPA.Robot import Mouse</span>
<span class="sd">        Mouse.MoveTo(inXInt=100, inYInt=200) #Переместить указатель мыши по координатам: X(гор) 100, Y(вер) 200</span>

<span class="sd">    :param inXInt: Целевая позиция указателя мыши по оси X (горизонтальная ось). </span>
<span class="sd">    :type inXInt: int, опциональный</span>
<span class="sd">    :param inYInt: Целевая позиция указателя мыши по оси Y (вертикальная ось). </span>
<span class="sd">    :type inYInt: int, опциональный</span>
<span class="sd">    :param inMoveDurationSecFloat: Время перемещения указателя мыши, По умолчанию 0.0 (моментальное перемещение)</span>
<span class="sd">    :type inMoveDurationSecFloat: float, опциональный</span>
<span class="sd">    :param inWaitAfterSecFloat: Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</span>
<span class="sd">    :type inWaitAfterSecFloat: float, опциональный</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">==</span> <span class="kc">None</span><span class="p">:</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">=</span> <span class="n">WAIT_AFTER_SEC_FLOAT</span>
    <span class="n">moveTo</span><span class="p">(</span><span class="n">x</span><span class="o">=</span><span class="n">inXInt</span><span class="p">,</span> <span class="n">y</span><span class="o">=</span><span class="n">inYInt</span><span class="p">,</span> <span class="n">duration</span><span class="o">=</span><span class="n">inMoveDurationSecFloat</span><span class="p">)</span>
    <span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="n">inWaitAfterSecFloat</span><span class="p">)</span></div>
    
<div class="viewcode-block" id="ScrollVertical"><a class="viewcode-back" href="../../../Robot/06_mouse.html#pyOpenRPA.Robot.Mouse.ScrollVertical">[документация]</a><span class="k">def</span> <span class="nf">ScrollVertical</span><span class="p">(</span><span class="n">inScrollClickCountInt</span><span class="p">,</span> <span class="n">inXInt</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inWaitAfterSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="n">WAIT_AFTER_SEC_FLOAT</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;L+,W+: Переместить указатель мыши на позицию inXInt, inYInt и выполнить вертикальную прокрутку (скроллинг) колесом мыши на количество щелчков inScrollClickCountInt.</span>

<span class="sd">    !ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</span>

<span class="sd">    .. code-block:: python</span>

<span class="sd">        # Mouse: Взаимодействие с мышью</span>
<span class="sd">        from pyOpenRPA.Robot import Mouse</span>
<span class="sd">        Mouse.ScrollVertical(100, inXInt=100, inYInt=200) #Крутить колесо мыши вниз на 100 кликов по координатам: X(гор) 100, Y(вер) 200</span>
<span class="sd">        Mouse.ScrollVertical(-100) #Крутить колесо мыши вверх на 100 кликов по текущим координатам указателя мыши.</span>

<span class="sd">    :param inScrollClickCountInt: Количество щелчок колеса мыши, которое требуется !вертикально! прокрутить. Аргумент может принимать как положительное (прокрутка вниз), так и отрицательное (прокрутка вверх) значения</span>
<span class="sd">    :type inScrollClickCountInt: int, обязательный</span>
<span class="sd">    :param inXInt: Целевая позиция указателя мыши по оси X (горизонтальная ось). </span>
<span class="sd">    :type inXInt: int, опциональный</span>
<span class="sd">    :param inYInt: Целевая позиция указателя мыши по оси Y (вертикальная ось). </span>
<span class="sd">    :type inYInt: int, опциональный</span>
<span class="sd">    :param inWaitAfterSecFloat: Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</span>
<span class="sd">    :type inWaitAfterSecFloat: float, опциональный</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">==</span> <span class="kc">None</span><span class="p">:</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">=</span> <span class="n">WAIT_AFTER_SEC_FLOAT</span>
    <span class="n">inScrollClickCountInt</span> <span class="o">=</span> <span class="n">inScrollClickCountInt</span><span class="o">*-</span><span class="mi">1</span>
    <span class="n">vscroll</span><span class="p">(</span><span class="n">inScrollClickCountInt</span><span class="p">,</span> <span class="n">x</span><span class="o">=</span><span class="n">inXInt</span><span class="p">,</span> <span class="n">y</span><span class="o">=</span><span class="n">inYInt</span><span class="p">)</span>
    <span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="n">inWaitAfterSecFloat</span><span class="p">)</span></div>
    
<div class="viewcode-block" id="ScrollHorizontal"><a class="viewcode-back" href="../../../Robot/06_mouse.html#pyOpenRPA.Robot.Mouse.ScrollHorizontal">[документация]</a><span class="k">def</span> <span class="nf">ScrollHorizontal</span><span class="p">(</span><span class="n">inScrollClickCountInt</span><span class="p">,</span> <span class="n">inXInt</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inYInt</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">inWaitAfterSecFloat</span><span class="p">:</span><span class="nb">float</span><span class="o">=</span><span class="n">WAIT_AFTER_SEC_FLOAT</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;L+,W-: Переместить указатель мыши на позицию inXInt, inYInt и выполнить горизонтальную прокрутку (скроллинг) виртуальным колесом мыши на количество щелчков inScrollClickCountInt.</span>

<span class="sd">    !ВНИМАНИЕ! Отсчет координат inXInt, inYInt начинается с левого верхнего края рабочей области (экрана).</span>

<span class="sd">    .. code-block:: python</span>

<span class="sd">        # Mouse: Взаимодействие с мышью</span>
<span class="sd">        from pyOpenRPA.Robot import Mouse</span>
<span class="sd">        Mouse.ScrollHorizontal(100, inXInt=100, inYInt=200) #Крутить колесо мыши вниз на 100 кликов по координатам: X(гор) 100, Y(вер) 200</span>
<span class="sd">        Mouse.ScrollHorizontal(-100) #Крутить колесо мыши вверх на 100 кликов по текущим координатам указателя мыши.</span>

<span class="sd">    :param inScrollClickCountInt: Количество щелчок колеса мыши, которое требуется !горизонтально! прокрутить. Аргумент может принимать как положительное (прокрутка вправо), так и отрицательное (прокрутка влево) значения</span>
<span class="sd">    :type inScrollClickCountInt: int, обязательный</span>
<span class="sd">    :param inXInt: Целевая позиция указателя мыши по оси X (горизонтальная ось). </span>
<span class="sd">    :type inXInt: int, опциональный</span>
<span class="sd">    :param inYInt: Целевая позиция указателя мыши по оси Y (вертикальная ось). </span>
<span class="sd">    :type inYInt: int, опциональный</span>
<span class="sd">    :param inWaitAfterSecFloat: Количество секунд, которые ожидать после выполнения операции. По умолчанию установлено в настройках модуля Mouse (базовое значение 0.4)</span>
<span class="sd">    :type inWaitAfterSecFloat: float, опциональный</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">if</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">==</span> <span class="kc">None</span><span class="p">:</span> <span class="n">inWaitAfterSecFloat</span> <span class="o">=</span> <span class="n">WAIT_AFTER_SEC_FLOAT</span>
    <span class="n">hscroll</span><span class="p">(</span><span class="n">inScrollClickCountInt</span><span class="p">,</span> <span class="n">x</span><span class="o">=</span><span class="n">inXInt</span><span class="p">,</span> <span class="n">y</span><span class="o">=</span><span class="n">inYInt</span><span class="p">)</span>
    <span class="n">time</span><span class="o">.</span><span class="n">sleep</span><span class="p">(</span><span class="n">inWaitAfterSecFloat</span><span class="p">)</span></div>
</pre></div>

           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2022, ООО &#34;ОПЕН РПА&#34;.

    </p>
  </div>
    
    
    
    Собрано при помощи <a href="https://www.sphinx-doc.org/">Sphinx</a> с использованием
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">темы,</a>
    
    предоставленной <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>